summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Rob van Nues2017-09-10 20:26:09 +0200
committer Willy Sudiarto Raharjo2017-09-16 02:15:01 +0200
commit14c13dd569ce25a3ae01ca4fe59f9c1cafe4c9e9 (patch)
tree645db8fa41c17debcd118170c1aee9014dfcb2ee
parent87f60da8dead64a7e438ea4e1186807adb7c7212 (diff)
downloadslackbuilds-14c13dd569ce25a3ae01ca4fe59f9c1cafe4c9e9.tar.gz
academic/novocraft: Added (map short reads onto reference genome).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--academic/novocraft/README12
-rw-r--r--academic/novocraft/doinst.sh26
-rw-r--r--academic/novocraft/novocraft.SlackBuild85
-rw-r--r--academic/novocraft/novocraft.csh.new2
-rw-r--r--academic/novocraft/novocraft.info10
-rw-r--r--academic/novocraft/novocraft.sh.new2
-rw-r--r--academic/novocraft/slack-desc19
7 files changed, 156 insertions, 0 deletions
diff --git a/academic/novocraft/README b/academic/novocraft/README
new file mode 100644
index 0000000000..82c0c5a835
--- /dev/null
+++ b/academic/novocraft/README
@@ -0,0 +1,12 @@
+Novoalign is a powerful tool designed for mapping of short reads onto a
+reference genome from Illumina, Ion Torrent, and 454 NGS platforms.
+
+It comes as part of a suit of programs (novocraft).
+
+This is a repackaging of the binaries made available by Novocraft that
+do not need a license.
+
+IMPORTANT
+
+Because of restrictions at the Novocraft website you can not download
+the package directly. You must go via the main download page.
diff --git a/academic/novocraft/doinst.sh b/academic/novocraft/doinst.sh
new file mode 100644
index 0000000000..28a4a774c1
--- /dev/null
+++ b/academic/novocraft/doinst.sh
@@ -0,0 +1,26 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+preserve_perms etc/profile.d/novocraft.sh.new
+preserve_perms etc/profile.d/novocraft.csh.new
diff --git a/academic/novocraft/novocraft.SlackBuild b/academic/novocraft/novocraft.SlackBuild
new file mode 100644
index 0000000000..f42c708088
--- /dev/null
+++ b/academic/novocraft/novocraft.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for novocraft
+
+# Copyright 2017 Rob van Nues
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=novocraft
+VERSION=${VERSION:-3.08.00}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+EXTRAVERSION=${EXTRAVERSION:-Linux3.0.0-32}
+SRCNAM="${PRGNAM}V${VERSION}.${EXTRAVERSION}"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" != "x86_64" ]; then
+ echo "$ARCH is not supported." >&2
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$SRCNAM.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Remove parts that need a license or compiling
+rm -r *MPI* novo2maq
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv *.pdf *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/opt/$PRGNAM
+cp -a * $PKG/opt/$PRGNAM
+
+mkdir -p $PKG/etc/profile.d/
+install -D -m755 $CWD/$PRGNAM.sh.new $PKG/etc/profile.d/$PRGNAM.sh.new
+install -D -m755 $CWD/$PRGNAM.csh.new $PKG/etc/profile.d/$PRGNAM.csh.new
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/novocraft/novocraft.csh.new b/academic/novocraft/novocraft.csh.new
new file mode 100644
index 0000000000..0153106aa5
--- /dev/null
+++ b/academic/novocraft/novocraft.csh.new
@@ -0,0 +1,2 @@
+#!/bin/csh
+setenv PATH ${PATH}:/opt/novocraft
diff --git a/academic/novocraft/novocraft.info b/academic/novocraft/novocraft.info
new file mode 100644
index 0000000000..24d17113b8
--- /dev/null
+++ b/academic/novocraft/novocraft.info
@@ -0,0 +1,10 @@
+PRGNAM="novocraft"
+VERSION="3.08.00"
+HOMEPAGE="http://www.novocraft.com/products/novoalign/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="http://www.novocraft.com/support/download/download.php?filename=V3.08.00/novocraftV3.08.00.Linux3.0.0-32.tar.gz"
+MD5SUM_x86_64="6342c813732974dae1e560b99e37351d"
+REQUIRES=""
+MAINTAINER="Rob van Nues"
+EMAIL="rvnues at tesco {dot} net"
diff --git a/academic/novocraft/novocraft.sh.new b/academic/novocraft/novocraft.sh.new
new file mode 100644
index 0000000000..85fda21283
--- /dev/null
+++ b/academic/novocraft/novocraft.sh.new
@@ -0,0 +1,2 @@
+#!/bin/sh
+export PATH="${PATH}:/opt/novocraft"
diff --git a/academic/novocraft/slack-desc b/academic/novocraft/slack-desc
new file mode 100644
index 0000000000..1d4f2c8bfc
--- /dev/null
+++ b/academic/novocraft/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+novocraft: novocraft (map short reads onto reference genome)
+novocraft:
+novocraft: The novocraft suit of programs contains tools like novoindex and
+novocraft: novoalign designed for mapping of short reads onto a reference
+novocraft: genome from Illumina, Ion Torrent, and 454 NGS platforms.
+novocraft:
+novocraft: This is a repackaging of the binaries made available by Novocraft
+novocraft: that do not need a license.
+novocraft:
+novocraft: http://www.novocraft.com/products/novoalign/
+novocraft: